# 38. クエリ: 「UserData」を取得

認証済みユーザーの「UserData」を取得します。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    メールアドレス
    総面積
    最大面積
    面積単位
    言語
    APIキー
    土壌データセットのクラス数
    organizations {
      uuid
      名前
      姓
      名
      メールアドレス
      電話
      作成日
      updatedDate
      users {
        organizationUuid
        userUuid
        メールアドレス
        すべての農場
        作成日
        updatedDate
        farms {
          uuid
          userUuid
          名前
          作成日
          updatedDate
          farmOwnership
          メールアドレス
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/38-kueri-userdatawo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
